# Retrieve attachment metadata

Returns metadata for a file uploaded in a message, including its name, type, and size.

Endpoint: POST /messages/attachments/metadata
Version: 3.1
Security: BearerAuth

## Header parameters:

  - `X-Affiliate-Id` (integer, required)
    Include here your Affiliate identifier number

## Request fields (application/json):

  - `conversation` (string, required)
    The unique identifier of the conversation that includes the attachment.

  - `accommodation` (string, required)
    The unique identifier of the property associated with the conversation.

  - `attachment` (string, required)
    The unique identifier of the attachment whose metadata is being requested.

## Response 200 fields (application/json):

  - `request_id` (string)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `data` (object)

  - `data.metadata` (object)

  - `data.metadata.file_size` (integer)
    The size of the attachment (up to 1MB)

  - `data.metadata.file_name` (string)
    Original name of the file, including extension.

  - `data.metadata.file_type` (string)
    MIME type of the file (e.g., image/jpeg).


